=== docs/CMakeLists.txt ===
add_subdirectory(api)
