=== plugin/CMakeLists.txt ===
add_subdirectory(cpp)
add_subdirectory(python)
