=== debian/changelog ===
spectrum2 (2.2.1+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Mark libtransport-plugin2.0 as Multiarch: same
  * B-D on libevent-dev, fixes 32bit archs.

 -- Tobias Frost <tobi@debian.org>  Sat, 10 Aug 2024 16:37:44 +0200

spectrum2 (2.2.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #672699)
  * Package is based on prior work from Thorsten Glaser and Dominik George.

 -- Tobias Frost <tobi@debian.org>  Tue, 23 Jul 2024 11:14:46 +0200
