=== debian/control ===
Source: spectrum2
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Tobias Frost <tobi@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               default-libmysqlclient-dev,
               doxygen,
               libavahi-client-dev,
               libavahi-common-dev,
               libboost-all-dev,
               libcommuni-dev,
               libcppunit-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libev-dev,
               libevent-dev,
               libidn-dev,
               libjsoncpp-dev,
               liblog4cxx-dev,
               libminiupnpc-dev,
               libnatpmp-dev,
               libpopt-dev,
               libpqxx-dev,
               libprotobuf-dev,
               libpurple-dev,
               libsqlite3-dev,
               libswiften-dev,
               libxml2-dev,
               protobuf-compiler,
               qtbase5-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xmpp-team/spectrum2.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/spectrum2
Homepage: https://spectrum.im/

Package: spectrum2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: spectrum2-webinterface
Description: Spectrum 2 - XMPP transport framework
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the Spectrum 2 framework and manager.

# The webinterface cannot be packaged due to licensing issues
# (mongoose is not compatible with spectrum license)
#Package: spectrum2-webinterface
#Architecture: all
#Depends:
# libjs-jquery,
# libjs-jquery-ui,
# libjs-jquery-cookie,
# libjs-bootstrap,
# libjs-bootbox,
# spectrum2 (>= ${source:Version}), spectrum2 (<< ${source:Version}.1~),
#  ${misc:Depends},
#Description: Spectrum 2 - XMPP transport framework web interface
# Spectrum 2 is a set of and framework for instant messaging transports,
# mainly Jabber/XMPP. It can be used to make foreign networks, like
# ICQ, MSN, Twitter, or protocols that libpurple supports, available
# through an XMPP server.
# .
# This package contains the Spectrum 2 web interface files and systemd file to
# start the web interface automatically.

Package: libtransport2.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - XMPP transport library
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the XMPP transport library.

Package: libtransport-plugin2.0
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - XMPP transport library plugin development
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the basis for developing plugins.

Package: libtransport-dev
Section: libdevel
Architecture: any
Depends: libtransport-plugin2.0 (= ${binary:Version}),
         libtransport2.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - XMPP transport library (development headers)
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains development headers for the XMPP transport library.

Package: spectrum2-backend-libpurple
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - libpurple backend
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the backend to connect to protocols through libpurple.

Package: spectrum2-backend-swiften
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - SWIFT backend
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the backend to connect to XMPP through SWIFT.

Package: spectrum2-backend-smstools3
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - smstools3 backend
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the backend to send and receive SMS through smstools3.

Package: spectrum2-backend-libcommuni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Spectrum 2 - libcommuni (IRC) backend
 Spectrum 2 is a set of and framework for instant messaging transports,
 mainly Jabber/XMPP. It can be used to make foreign networks, like
 ICQ, MSN, Twitter, or protocols that libpurple supports, available
 through an XMPP server.
 .
 This package contains the backend to connect to IRC through libcommuni.
