=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/spectrum2-$1\.tar\.gz/ \
  https://github.com/SpectrumIM/spectrum2/tags .*/v?(\d\S+)\.tar\.gz
